/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "SDL", "index.html", [
    [ "Simple DirectMedia Layer", "index.html", null ],
    [ "Android", "de/d90/md__r_e_a_d_m_e_android.html", [
      [ "Requirements", "de/d90/md__r_e_a_d_m_e_android.html#autotoc_md0", null ],
      [ "How the port works", "de/d90/md__r_e_a_d_m_e_android.html#autotoc_md1", null ],
      [ "Building an app", "de/d90/md__r_e_a_d_m_e_android.html#autotoc_md2", null ],
      [ "Customizing your application name", "de/d90/md__r_e_a_d_m_e_android.html#autotoc_md3", null ],
      [ "Customizing your application icon", "de/d90/md__r_e_a_d_m_e_android.html#autotoc_md4", null ],
      [ "Loading assets", "de/d90/md__r_e_a_d_m_e_android.html#autotoc_md5", null ],
      [ "Pause / Resume behaviour", "de/d90/md__r_e_a_d_m_e_android.html#autotoc_md6", null ],
      [ "Mouse / Touch events", "de/d90/md__r_e_a_d_m_e_android.html#autotoc_md7", null ],
      [ "Misc", "de/d90/md__r_e_a_d_m_e_android.html#autotoc_md8", null ],
      [ "Threads and the Java VM", "de/d90/md__r_e_a_d_m_e_android.html#autotoc_md9", null ],
      [ "Using STL", "de/d90/md__r_e_a_d_m_e_android.html#autotoc_md10", null ],
      [ "Using the emulator", "de/d90/md__r_e_a_d_m_e_android.html#autotoc_md11", null ],
      [ "Troubleshooting", "de/d90/md__r_e_a_d_m_e_android.html#autotoc_md12", null ],
      [ "Memory debugging", "de/d90/md__r_e_a_d_m_e_android.html#autotoc_md13", null ],
      [ "Graphics debugging", "de/d90/md__r_e_a_d_m_e_android.html#autotoc_md14", null ],
      [ "Why is API level 16 the minimum required?", "de/d90/md__r_e_a_d_m_e_android.html#autotoc_md15", null ],
      [ "A note regarding the use of the \"dirty rectangles\" rendering technique", "de/d90/md__r_e_a_d_m_e_android.html#autotoc_md16", null ],
      [ "Ending your application", "de/d90/md__r_e_a_d_m_e_android.html#autotoc_md17", null ],
      [ "Known issues", "de/d90/md__r_e_a_d_m_e_android.html#autotoc_md18", null ]
    ] ],
    [ "CMake", "d8/daa/md__r_e_a_d_m_e_cmake.html", [
      [ "Usage", "d8/daa/md__r_e_a_d_m_e_cmake.html#autotoc_md20", null ],
      [ "Usage, iOS/tvOS", "d8/daa/md__r_e_a_d_m_e_cmake.html#autotoc_md22", null ]
    ] ],
    [ "DirectFB", "da/d64/md__r_e_a_d_m_e_directfb.html", [
      [ "Simple Window Manager", "da/d64/md__r_e_a_d_m_e_directfb.html#autotoc_md24", null ],
      [ "OpenGL Support", "da/d64/md__r_e_a_d_m_e_directfb.html#autotoc_md25", null ]
    ] ],
    [ "Dynamic API", "dd/d3b/md__r_e_a_d_m_e_dynapi.html", null ],
    [ "Emscripten", "dc/d4f/md__r_e_a_d_m_e_emscripten.html", null ],
    [ "Dollar Gestures", "d6/dac/md__r_e_a_d_m_e_gesture.html", [
      [ "Recording:", "d6/dac/md__r_e_a_d_m_e_gesture.html#autotoc_md27", null ],
      [ "Performing:", "d6/dac/md__r_e_a_d_m_e_gesture.html#autotoc_md28", null ],
      [ "Saving:", "d6/dac/md__r_e_a_d_m_e_gesture.html#autotoc_md29", null ],
      [ "Loading:", "d6/dac/md__r_e_a_d_m_e_gesture.html#autotoc_md30", null ],
      [ "Multi Gestures", "d6/dac/md__r_e_a_d_m_e_gesture.html#autotoc_md32", null ],
      [ "Notes", "d6/dac/md__r_e_a_d_m_e_gesture.html#autotoc_md34", null ]
    ] ],
    [ "git", "d1/d46/md__r_e_a_d_m_e_git.html", null ],
    [ "README-hg", "da/d40/md__r_e_a_d_m_e_hg.html", null ],
    [ "iOS", "d0/d33/md__r_e_a_d_m_e_ios.html", [
      [ "Building the Simple DirectMedia Layer for iOS 5.1+", "d0/d33/md__r_e_a_d_m_e_ios.html#autotoc_md35", null ],
      [ "Using the Simple DirectMedia Layer for iOS", "d0/d33/md__r_e_a_d_m_e_ios.html#autotoc_md36", null ],
      [ "Notes – Retina / High-DPI and window sizes", "d0/d33/md__r_e_a_d_m_e_ios.html#autotoc_md37", null ],
      [ "Notes – Application events", "d0/d33/md__r_e_a_d_m_e_ios.html#autotoc_md38", null ],
      [ "Notes – Accelerometer as Joystick", "d0/d33/md__r_e_a_d_m_e_ios.html#autotoc_md39", null ],
      [ "Notes – OpenGL ES", "d0/d33/md__r_e_a_d_m_e_ios.html#autotoc_md40", null ],
      [ "Notes – Keyboard", "d0/d33/md__r_e_a_d_m_e_ios.html#autotoc_md41", null ],
      [ "Notes – Mouse", "d0/d33/md__r_e_a_d_m_e_ios.html#autotoc_md42", null ],
      [ "Notes – Reading and Writing files", "d0/d33/md__r_e_a_d_m_e_ios.html#autotoc_md43", null ],
      [ "Notes – iPhone SDL limitations", "d0/d33/md__r_e_a_d_m_e_ios.html#autotoc_md44", null ],
      [ "Notes – CoreBluetooth.framework", "d0/d33/md__r_e_a_d_m_e_ios.html#autotoc_md45", null ],
      [ "Game Center", "d0/d33/md__r_e_a_d_m_e_ios.html#autotoc_md46", null ],
      [ "Deploying to older versions of iOS", "d0/d33/md__r_e_a_d_m_e_ios.html#autotoc_md47", null ]
    ] ],
    [ "KMSDRM on *BSD", "db/db5/md__r_e_a_d_m_e_kmsbsd.html", [
      [ "SDL2 WSCONS input backend features", "db/db5/md__r_e_a_d_m_e_kmsbsd.html#autotoc_md48", null ],
      [ "Partially working or no input on OpenBSD/NetBSD.", "db/db5/md__r_e_a_d_m_e_kmsbsd.html#autotoc_md49", null ],
      [ "Partially working or no input on FreeBSD.", "db/db5/md__r_e_a_d_m_e_kmsbsd.html#autotoc_md50", null ]
    ] ],
    [ "Linux", "de/d26/md__r_e_a_d_m_e_linux.html", [
      [ "Build Dependencies", "de/d26/md__r_e_a_d_m_e_linux.html#autotoc_md51", null ],
      [ "Joystick does not work", "de/d26/md__r_e_a_d_m_e_linux.html#autotoc_md52", null ]
    ] ],
    [ "Mac OS X (aka macOS).", "d8/d48/md__r_e_a_d_m_e_macos.html", [
      [ "Command Line Build", "d8/d48/md__r_e_a_d_m_e_macos.html#autotoc_md54", null ],
      [ "Caveats for using SDL with Mac OS X", "d8/d48/md__r_e_a_d_m_e_macos.html#autotoc_md55", null ],
      [ "Using the Simple DirectMedia Layer with a traditional Makefile", "d8/d48/md__r_e_a_d_m_e_macos.html#autotoc_md56", null ],
      [ "Using the Simple DirectMedia Layer with Xcode", "d8/d48/md__r_e_a_d_m_e_macos.html#autotoc_md57", [
        [ "First steps", "d8/d48/md__r_e_a_d_m_e_macos.html#autotoc_md58", null ],
        [ "Building the Framework", "d8/d48/md__r_e_a_d_m_e_macos.html#autotoc_md59", null ],
        [ "Build Options", "d8/d48/md__r_e_a_d_m_e_macos.html#autotoc_md60", null ],
        [ "Building the Testers", "d8/d48/md__r_e_a_d_m_e_macos.html#autotoc_md61", null ],
        [ "Using the Project Stationary", "d8/d48/md__r_e_a_d_m_e_macos.html#autotoc_md62", null ],
        [ "Setting up a new project by hand", "d8/d48/md__r_e_a_d_m_e_macos.html#autotoc_md63", null ],
        [ "Building from command line", "d8/d48/md__r_e_a_d_m_e_macos.html#autotoc_md64", null ],
        [ "Running your app", "d8/d48/md__r_e_a_d_m_e_macos.html#autotoc_md65", null ]
      ] ],
      [ "Implementation Notes", "d8/d48/md__r_e_a_d_m_e_macos.html#autotoc_md66", [
        [ "Working directory", "d8/d48/md__r_e_a_d_m_e_macos.html#autotoc_md67", null ],
        [ "You have a Cocoa App!", "d8/d48/md__r_e_a_d_m_e_macos.html#autotoc_md68", null ]
      ] ],
      [ "Bug reports", "d8/d48/md__r_e_a_d_m_e_macos.html#autotoc_md69", null ]
    ] ],
    [ "Native Client", "d8/d41/md__r_e_a_d_m_e_nacl.html", [
      [ "Building SDL for NaCl", "d8/d41/md__r_e_a_d_m_e_nacl.html#autotoc_md71", null ],
      [ "Running tests", "d8/d41/md__r_e_a_d_m_e_nacl.html#autotoc_md73", null ],
      [ "RWops and nacl_io", "d8/d41/md__r_e_a_d_m_e_nacl.html#autotoc_md75", null ],
      [ "TODO - Known Issues", "d8/d41/md__r_e_a_d_m_e_nacl.html#autotoc_md76", null ]
    ] ],
    [ "Simple DirectMedia Layer 2 for OS/2 & eComStation", "db/daa/md__r_e_a_d_m_e_os2.html", [
      [ "Compiling:", "db/daa/md__r_e_a_d_m_e_os2.html#autotoc_md77", null ],
      [ "Installing:", "db/daa/md__r_e_a_d_m_e_os2.html#autotoc_md78", null ],
      [ "Joysticks in SDL2:", "db/daa/md__r_e_a_d_m_e_os2.html#autotoc_md79", null ]
    ] ],
    [ "Pandora", "d5/d29/md__r_e_a_d_m_e_pandora.html", null ],
    [ "Platforms", "da/dd3/md__r_e_a_d_m_e_platforms.html", null ],
    [ "Porting", "d3/dbe/md__r_e_a_d_m_e_porting.html", null ],
    [ "PSP", "db/dbb/md__r_e_a_d_m_e_psp.html", [
      [ "Building", "db/dbb/md__r_e_a_d_m_e_psp.html#autotoc_md80", null ],
      [ "Getting PSP Dev", "db/dbb/md__r_e_a_d_m_e_psp.html#autotoc_md81", null ],
      [ "Running on PPSSPP Emulator", "db/dbb/md__r_e_a_d_m_e_psp.html#autotoc_md82", null ],
      [ "Compiling a HelloWorld", "db/dbb/md__r_e_a_d_m_e_psp.html#autotoc_md83", null ],
      [ "To Do", "db/dbb/md__r_e_a_d_m_e_psp.html#autotoc_md84", null ]
    ] ],
    [ "Raspberry Pi", "d5/d1a/md__r_e_a_d_m_e_raspberrypi.html", [
      [ "Features", "d5/d1a/md__r_e_a_d_m_e_raspberrypi.html#autotoc_md85", null ],
      [ "Raspbian Build Dependencies", "d5/d1a/md__r_e_a_d_m_e_raspberrypi.html#autotoc_md86", null ],
      [ "NEON", "d5/d1a/md__r_e_a_d_m_e_raspberrypi.html#autotoc_md87", null ],
      [ "Cross compiling from x86 Linux", "d5/d1a/md__r_e_a_d_m_e_raspberrypi.html#autotoc_md88", null ],
      [ "Apps don't work or poor video/audio performance", "d5/d1a/md__r_e_a_d_m_e_raspberrypi.html#autotoc_md89", null ],
      [ "No input", "d5/d1a/md__r_e_a_d_m_e_raspberrypi.html#autotoc_md90", null ],
      [ "No HDMI Audio", "d5/d1a/md__r_e_a_d_m_e_raspberrypi.html#autotoc_md91", null ],
      [ "Text Input API support", "d5/d1a/md__r_e_a_d_m_e_raspberrypi.html#autotoc_md92", null ],
      [ "OpenGL problems", "d5/d1a/md__r_e_a_d_m_e_raspberrypi.html#autotoc_md93", null ],
      [ "Notes", "d5/d1a/md__r_e_a_d_m_e_raspberrypi.html#autotoc_md94", null ]
    ] ],
    [ "RISC OS", "d7/d9a/md__r_e_a_d_m_e_riscos.html", [
      [ "Compiling:", "d7/d9a/md__r_e_a_d_m_e_riscos.html#autotoc_md95", null ],
      [ "Current level of implementation", "d7/d9a/md__r_e_a_d_m_e_riscos.html#autotoc_md96", null ]
    ] ],
    [ "Touch", "d6/da6/md__r_e_a_d_m_e_touch.html", [
      [ "System Specific Notes", "d6/da6/md__r_e_a_d_m_e_touch.html#autotoc_md97", null ],
      [ "Events", "d6/da6/md__r_e_a_d_m_e_touch.html#autotoc_md99", null ],
      [ "Functions", "d6/da6/md__r_e_a_d_m_e_touch.html#autotoc_md101", null ],
      [ "Notes", "d6/da6/md__r_e_a_d_m_e_touch.html#autotoc_md103", null ]
    ] ],
    [ "Using SDL with Microsoft Visual C++", "db/d57/md__r_e_a_d_m_e_visualc.html", null ],
    [ "PS Vita", "d5/dd3/md__r_e_a_d_m_e_vita.html", [
      [ "Building", "d5/dd3/md__r_e_a_d_m_e_vita.html#autotoc_md110", null ],
      [ "Notes", "d5/dd3/md__r_e_a_d_m_e_vita.html#autotoc_md111", null ]
    ] ],
    [ "WinCE", "dc/de0/md__r_e_a_d_m_e_wince.html", null ],
    [ "Windows", "d8/db6/md__r_e_a_d_m_e_windows.html", [
      [ "LLVM and Intel C++ compiler support", "d8/db6/md__r_e_a_d_m_e_windows.html#autotoc_md113", null ],
      [ "OpenGL ES 2.x support", "d8/db6/md__r_e_a_d_m_e_windows.html#autotoc_md114", null ],
      [ "Vulkan Surface Support", "d8/db6/md__r_e_a_d_m_e_windows.html#autotoc_md115", null ]
    ] ],
    [ "WinRT", "d0/d8d/md__r_e_a_d_m_e_winrt.html", [
      [ "Requirements", "d0/d8d/md__r_e_a_d_m_e_winrt.html#autotoc_md116", null ],
      [ "Status", "d0/d8d/md__r_e_a_d_m_e_winrt.html#autotoc_md117", null ],
      [ "Upgrade Notes", "d0/d8d/md__r_e_a_d_m_e_winrt.html#autotoc_md118", [
        [ "by Lion Kimbro with additions by James Turk", "db/d57/md__r_e_a_d_m_e_visualc.html#autotoc_md104", null ],
        [ "Building SDL", "db/d57/md__r_e_a_d_m_e_visualc.html#autotoc_md105", null ],
        [ "Creating a Project with SDL", "db/d57/md__r_e_a_d_m_e_visualc.html#autotoc_md106", null ],
        [ "Hello SDL2", "db/d57/md__r_e_a_d_m_e_visualc.html#autotoc_md107", null ],
        [ "That's it!", "db/d57/md__r_e_a_d_m_e_visualc.html#autotoc_md108", null ],
        [ "Credits", "db/d57/md__r_e_a_d_m_e_visualc.html#autotoc_md109", [
          [ "Examples (for iOS/tvOS):", "d8/daa/md__r_e_a_d_m_e_cmake.html#autotoc_md23", null ],
          [ "SDL_GetPrefPath() usage when upgrading WinRT apps from SDL 2.0.3", "d0/d8d/md__r_e_a_d_m_e_winrt.html#autotoc_md119", null ]
        ] ]
      ] ],
      [ "Setup, High-Level Steps", "d0/d8d/md__r_e_a_d_m_e_winrt.html#autotoc_md120", null ],
      [ "Setup, Detailed Steps", "d0/d8d/md__r_e_a_d_m_e_winrt.html#autotoc_md121", [
        [ "1. Create a new project", "d0/d8d/md__r_e_a_d_m_e_winrt.html#autotoc_md122", null ],
        [ "2. Remove unneeded files from the project", "d0/d8d/md__r_e_a_d_m_e_winrt.html#autotoc_md123", null ],
        [ "3. Add references to SDL's project files", "d0/d8d/md__r_e_a_d_m_e_winrt.html#autotoc_md124", null ],
        [ "4. Adjust Your App's Build Settings", "d0/d8d/md__r_e_a_d_m_e_winrt.html#autotoc_md125", null ],
        [ "5. Add a WinRT-appropriate main function, and a blank-cursor image, to the app.", "d0/d8d/md__r_e_a_d_m_e_winrt.html#autotoc_md126", null ],
        [ "6. Add app code and assets", "d0/d8d/md__r_e_a_d_m_e_winrt.html#autotoc_md127", [
          [ "6.A. ... when creating a new app", "d0/d8d/md__r_e_a_d_m_e_winrt.html#autotoc_md128", null ],
          [ "6.B. Adding code and assets", "d0/d8d/md__r_e_a_d_m_e_winrt.html#autotoc_md129", null ]
        ] ],
        [ "7. Build and run your app", "d0/d8d/md__r_e_a_d_m_e_winrt.html#autotoc_md130", [
          [ "7.A. Running apps on older, ARM-based, \"Windows RT\" devices", "d0/d8d/md__r_e_a_d_m_e_winrt.html#autotoc_md131", null ]
        ] ]
      ] ],
      [ "Troubleshooting", "d0/d8d/md__r_e_a_d_m_e_winrt.html#autotoc_md132", null ]
    ] ],
    [ "Deprecated List", "da/d58/deprecated.html", null ],
    [ "Data Structures", "annotated.html", [
      [ "Data Structures", "annotated.html", "annotated_dup" ],
      [ "Data Structure Index", "classes.html", null ],
      [ "Data Fields", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Variables", "functions_vars.html", "functions_vars" ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "Globals", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", "globals_eval" ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"annotated.html",
"d1/d59/struct_s_d_l___sys_w_minfo.html#afc698a1aba525891101b2bab2b1c4807",
"d2/d09/_s_d_l__mutex_8h.html#a085f5f7b6dd8dcbc13aebf450a371aea",
"d3/d78/_s_d_l__audio_8h.html#aee32fa4cb5d1abc3a9f836f6796f3b31",
"d3/dfc/_s_d_l__config__android_8h.html#ae91f4e5a39dc5d860202b397c9aaa37c",
"d4/def/_s_d_l__config__emscripten_8h.html#ab90a030ff2790ebdc176660a6dd2a478",
"d5/dcb/_s_d_l__config__iphoneos_8h.html#afbc6197a413f7eec8834dd9270d11792",
"d5/df2/_s_d_l__keycode_8h.html#a179ce01fa41d35408f06b4b3d1cd9d3dafd83ec4c2de109552e476fc7a70eac4c",
"d6/dd4/_s_d_l__loadso_8h_source.html",
"d8/d6a/_s_d_l__pixels_8h.html#a95821d38f8029ed06c258e9be3dfc111a731d1f25bd98d31d90481090aed5a503",
"d9/d24/_s_d_l__stdinc_8h.html#a5ad148d1a87a4eda6008114e627f61da",
"d9/d42/_s_d_l__events_8h.html#aba192707cdbb9853b11fa997b0974eb4",
"db/d74/_s_d_l__config__winrt_8h.html#a435d1572bf3f880d55459d9805097f62",
"db/dbb/md__r_e_a_d_m_e_psp.html#autotoc_md82",
"dc/d64/_s_d_l__video_8h.html#a90a9bcda82ab701859e4e31a56fc05d6",
"dc/dc7/_s_d_l__test__common_8h.html#a71ea0036b194df15caae753ca03825b1",
"dd/dd3/_s_d_l__hints_8h.html#ac2dce1bbb095169a9de048eeee233e2d",
"df/d4a/_s_d_l__scancode_8h.html#a82ab7cff701034fb40a47b5b3a02777ba062eb5a37fb5038b634e8bfbeb94f40a",
"df/d8b/struct_s_d_l___joy_ball_event.html#acb700712f1a4070bc114ef9d55b00640"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';